package capitulo05.bloque03.figuras;

public class Rectangulo extends Figura{
    private float alto;
    private float ancho;

    public Rectangulo() {
    }

    public Rectangulo(float alto, float ancho) {
        this.alto = alto;
        this.ancho = ancho;
    }

    @Override
    public float calcularArea() {
        return this.alto * this.ancho;
    }

    @Override
    public float calcularPerimetro() {
        return (this.alto * 2) + (this.ancho * 2);
    }

    public float getAlto() {
        return alto;
    }

    public void setAlto(float alto) {
        this.alto = alto;
    }

    public float getAncho() {
        return ancho;
    }

    public void setAncho(float ancho) {
        this.ancho = ancho;
    }

    @Override
    public String toString() {
        return "Rectangulo{" +
                "alto=" + alto +
                ", ancho=" + ancho +
                '}';
    }
}
